These patches are designed to get a fresh copy of libxmp's master branch in line with
MegaZeux's needs. Apply them in order (01, 02, ...) for best results. Alternatively,
use [this libxmp branch](https://github.com/AliceLR/libxmp/tree/mzx-gen-libxmp) to
automatically patch libxmp and generate contrib/libxmp/.

Patch summary
-------------

01: Adds MZX integration hacks to include/xmp.h.
02: Removes extra formats not required by MZX.

--Lachesis
